classdef UncertaintyComputation < falcon.parest.core.ConstraintInformation
    % -------------------------------------------------------------------------
    %                                FALCON.m
    % Copyright (c) 2014-2019 Institute of Flight System Dynamics, TUM, Munich
    % Matthias Bittner, Matthias Rieck, Maximilian Richter,
    % Benedikt Grueter, Johannes Diepolder, Florian Schwaiger,
    % Patrick Piprek, and Florian Holzapfel
    % Downloading, using, copying, or modifying FALCON.m code constitutes an
    % agreement to ALL of the terms of the FALCON.m EULA.
    % -------------------------------------------------------------------------

    % -------------------------------------------------------------------------
    %                                FALCON.m
    % Copyright (c) 2014-2019 Institute of Flight System Dynamics, TUM, Munich
    % Matthias Bittner, Matthias Rieck, Maximilian Richter,
    % Benedikt Grueter, Johannes Diepolder, Florian Schwaiger,
    % Patrick Piprek, and Florian Holzapfel
    % Downloading, using, copying, or modifying FALCON.m code constitutes an
    % agreement to ALL of the terms of the FALCON.m EULA.
    % -------------------------------------------------------------------------

    properties
        % falcon.parest.core.UncertaintyComputation/SolverEvolution is a property.
        SolverEvolution
        % falcon.parest.core.ConstraintInformation/Solver is a property.
        Solver
        % falcon.parest.core.ConstraintInformation/z_ConstrActiveUB is a property.
        z_ConstrActiveUB
        % falcon.parest.core.ConstraintInformation/z_ConstrActiveLB is a property.
        z_ConstrActiveLB
        % falcon.parest.core.ConstraintInformation/z_ConstrActiveEQ is a property.
        z_ConstrActiveEQ
        % falcon.parest.core.ConstraintInformation/F_ConstrActiveUB is a property.
        F_ConstrActiveUB
        % falcon.parest.core.ConstraintInformation/F_ConstrActiveLB is a property.
        F_ConstrActiveLB
        % falcon.parest.core.ConstraintInformation/F_ConstrActiveEQ is a property.
        F_ConstrActiveEQ
        % falcon.parest.core.ConstraintInformation/z_ConstrActive is a property.
        z_ConstrActive
        % falcon.parest.core.ConstraintInformation/F_ConstrActive is a property.
        F_ConstrActive
        % falcon.parest.core.ConstraintInformation/z_Free is a property.
        z_Free
        % falcon.parest.core.ConstraintInformation/F_Free is a property.
        F_Free
        % falcon.parest.core.ConstraintInformation/z_ConstrActiveidx is a property.
        z_ConstrActiveidx
        % falcon.parest.core.ConstraintInformation/F_ConstrActiveidx is a property.
        F_ConstrActiveidx
        % falcon.parest.core.ConstraintInformation/z_Freeidx is a property.
        z_Freeidx
        % falcon.parest.core.ConstraintInformation/F_Freeidx is a property.
        F_Freeidx
        % falcon.parest.core.ConstraintInformation/z_ConstrActiveUBidx is a property.
        z_ConstrActiveUBidx
        % falcon.parest.core.ConstraintInformation/z_ConstrActiveLBidx is a property.
        z_ConstrActiveLBidx
        % falcon.parest.core.ConstraintInformation/z_ConstrActiveEQidx is a property.
        z_ConstrActiveEQidx
        % falcon.parest.core.ConstraintInformation/F_ConstrActiveUBidx is a property.
        F_ConstrActiveUBidx
        % falcon.parest.core.ConstraintInformation/F_ConstrActiveLBidx is a property.
        F_ConstrActiveLBidx
        % falcon.parest.core.ConstraintInformation/F_ConstrActiveEQidx is a property.
        F_ConstrActiveEQidx
    end

    methods
        function computeParameterStatistics(obj, varargin)
        % COMPUTEPARAMETERSTATISTICS computes statistical properties of
        %   the parameter estimates.
        %  
        %  	<Syntax>
        %  	computeParameterStatistics( obj )
        %  
        %  	<Description>
        %  	after an estimation has be conducted, estimates for the
        %  	statistical properties of the parameter estimates
        %  	(covariances, correlations, standard deviations) are computed
        %  	using this method. In order to visualize them, the respective
        %  	plot methods of the falcon.parest.Parameter objects can be
        %  	used (e.g. plotCorrelationMatrix,
        %  	plotRelativeStandardDeviation)
        %  
        %  	<Inputs>
        %  	>obj: the Problem object
        %  
        %  	<ChangeLog>
        %  	2017-01-24 - Ch. Goettlicher: initial design
        %  	2017-12-19 - Ch. Goettlicher: commenting (-->EMT completion)
        end

        function updateSolverEvolution(obj, iterCount, info)
        % falcon.parest.core.UncertaintyComputation/updateSolverEvolution is a function.
        %   updateSolverEvolution(obj, iterCount, info)
        end

        function obj = UncertaintyComputation()
        % -------------------------------------------------------------------------
        %                                FALCON.m
        % Copyright (c) 2014-2019 Institute of Flight System Dynamics, TUM, Munich
        % Matthias Bittner, Matthias Rieck, Maximilian Richter,
        % Benedikt Grueter, Johannes Diepolder, Florian Schwaiger,
        % Patrick Piprek, and Florian Holzapfel
        % Downloading, using, copying, or modifying FALCON.m code constitutes an
        % agreement to ALL of the terms of the FALCON.m EULA.
        % -------------------------------------------------------------------------
        end

        function extractConstraintInformation(obj)
        % falcon.parest.core.ConstraintInformation/extractConstraintInformation is a function.
        %   extractConstraintInformation(obj)
        end

        function setSolver(obj, Solver)
        % falcon.parest.core.ConstraintInformation/setSolver is a function.
        %   setSolver(obj, Solver)
        end

    end

end