classdef (Abstract) Base < falcon.core.Handle
    % BASE Summary of this class goes here
    %   Detailed explanation goes here

    % -------------------------------------------------------------------------
    %                                FALCON.m
    % Copyright (c) 2014-2019 Institute of Flight System Dynamics, TUM, Munich
    % Matthias Bittner, Matthias Rieck, Maximilian Richter,
    % Benedikt Grueter, Johannes Diepolder, Florian Schwaiger,
    % Patrick Piprek, and Florian Holzapfel
    % Downloading, using, copying, or modifying FALCON.m code constitutes an
    % agreement to ALL of the terms of the FALCON.m EULA.
    % -------------------------------------------------------------------------

    properties
        % covariance matrix scaling
        CovarianceScalingMatrix
        % scalar scaling factor
        ScalarScaling
        % indicate if output scaling is to be used
        CovarianceScalingMode
    end

    methods
        function ddJ_ddp(obj)
        % falcon.parest.costfunction.impl.Base/ddJ_ddp is a function.
        %   obj = falcon.parest.costfunction.impl.Base
        end

        function ddJ_dd(obj)
        % falcon.parest.costfunction.impl.Base/ddJ_dd is a function.
        %   obj = falcon.parest.costfunction.impl.Base
        end

        function dJ_dp(obj)
        % falcon.parest.costfunction.impl.Base/dJ_dp is a function.
        %   obj = falcon.parest.costfunction.impl.Base
        end

        function dJ_d(obj)
        % falcon.parest.costfunction.impl.Base/dJ_d is a function.
        %   obj = falcon.parest.costfunction.impl.Base
        end

        function J(obj)
        % falcon.parest.costfunction.impl.Base/J is a function.
        %   obj = falcon.parest.costfunction.impl.Base
        end

    end

end