classdef code < falcon.core.Handle
    % FALCON.PAREST.MEXFCTS.CODE coding of auxiliary functions
    %  
    %  	<Description>
    %  	compile auxiliary functions to use their mex-versions for speed
    %  
    %  	<ChangeLog>
    %  	2018-06-26 - Ch. Goettlicher: commenting

    % -------------------------------------------------------------------------
    %                                FALCON.m
    % Copyright (c) 2014-2019 Institute of Flight System Dynamics, TUM, Munich
    % Matthias Bittner, Matthias Rieck, Maximilian Richter,
    % Benedikt Grueter, Johannes Diepolder, Florian Schwaiger,
    % Patrick Piprek, and Florian Holzapfel
    % Downloading, using, copying, or modifying FALCON.m code constitutes an
    % agreement to ALL of the terms of the FALCON.m EULA.
    % -------------------------------------------------------------------------

    properties
    end

    methods
        function delete(obj)
        % DELETE delete the coding object
        %  
        %  	<Syntax>
        %  	delete( obj )
        %  
        %  	<Description>
        %  	make sure it is cleaned up all right after the use of this
        %  	function, i.e. that the temporary coding folder is deleted.
        %  
        %  	<Inputs>
        %  	>obj: the falcon.parest.mexfcts.code object
        %  
        %  	<ChangeLog>
        %  	2018-06-26 - Ch. Goettlicher: commenting
        end

        function obj = code()
        % CODE [constructor] 
        %  
        %  	<Syntax>
        %  	[ obj ] = code()
        %  
        %  	<Description>
        %  	check if all functions in the package exist as mex-files;
        %  	if not, try to compile them. use matlab version
        %  	otherwise.
        %  
        %  	<Outputs>
        %  	>obj: the falcon.parest.mexfcts.code object
        %  
        %  	<ChangeLog>
        %  	2018-06-26 - Ch. Goettlicher: commenting
        end

    end

end