classdef ActiveSet < falcon.core.Handle
    % FALCON.PAREST.OPTIMIZATION.ACTIVESET utility functions for active set
    %  
    %  	<Description>
    %  	this class implements the utility functions for a basic active set
    %  	algorithms for simple box-constraints on the optimization
    %  	parameters
    %  
    %  	<ChangeLog>
    %  	2017-12-19 - Ch. Goettlicher: commenting (-->EMT completion)

    % -------------------------------------------------------------------------
    %                                FALCON.m
    % Copyright (c) 2014-2019 Institute of Flight System Dynamics, TUM, Munich
    % Matthias Bittner, Matthias Rieck, Maximilian Richter,
    % Benedikt Grueter, Johannes Diepolder, Florian Schwaiger,
    % Patrick Piprek, and Florian Holzapfel
    % Downloading, using, copying, or modifying FALCON.m code constitutes an
    % agreement to ALL of the terms of the FALCON.m EULA.
    % -------------------------------------------------------------------------

    properties
        % logical index vector for parameters that are free
        FreeVariables
        % logical index vector for parameters that are fixed
        FixedVariables
    end

    methods
        function setFixedIntermediate(obj, FixedIntermediate)
        % falcon.parest.optimization.ActiveSet/setFixedIntermediate is a function.
        %   setFixedIntermediate(obj, FixedIntermediate)
        end

        function initializeActiveSet(obj, p)
        % INITIALIZEACTIVESET initialize active set algortihm
        %  
        %  	<Syntax>
        %  	initializeActiveSet( obj, p )
        %  
        %  	<Description>
        %  	initialize active set algorithm by comparing the free
        %  	parameter values to their bounds. Violating parameters are
        %  	set to the respective bounds, and their indices stored in the
        %  	respective logical index vector
        %  
        %  	<Inputs>
        %  	>obj: the ActiveSet object
        %  	>p: vector of falcon.parest.Parameter object holding the
        %  	parameter's characteristics
        %  
        %  	<ChangeLog>
        %  	2017-01-24 - Ch. Goettlicher: initial design
        %  	2017-12-19 - Ch. Goettlicher: commenting (-->EMT completion)
        end

        function obj = ActiveSet()
        % FALCON.PAREST.OPTIMIZATION.ACTIVESET utility functions for active set
        %  
        %  	<Description>
        %  	this class implements the utility functions for a basic active set
        %  	algorithms for simple box-constraints on the optimization
        %  	parameters
        %  
        %  	<ChangeLog>
        %  	2017-12-19 - Ch. Goettlicher: commenting (-->EMT completion)
        end

    end

end