classdef (Abstract) Optimizer < falcon.core.Handle
    % FALCON.PAREST.OPTIMIZATION.OPTIMIZER base class for parameter
    %   estimation optimization algorithms
    %  
    %  	<Description>
    %  	abstract base class for parameter estimation optimizers
    %  
    %  	<ChangeLog>
    %  	2017-12-19 - Ch. Goettlicher: commenting (-->EMT completion)

    % -------------------------------------------------------------------------
    %                                FALCON.m
    % Copyright (c) 2014-2019 Institute of Flight System Dynamics, TUM, Munich
    % Matthias Bittner, Matthias Rieck, Maximilian Richter,
    % Benedikt Grueter, Johannes Diepolder, Florian Schwaiger,
    % Patrick Piprek, and Florian Holzapfel
    % Downloading, using, copying, or modifying FALCON.m code constitutes an
    % agreement to ALL of the terms of the FALCON.m EULA.
    % -------------------------------------------------------------------------

    properties
        % maximum number of minor interations
        MaxMinorIter
    end

    methods
        function step(obj, p, J, dJ, ddJ)
        % % step
        % CGoett, 2017-01-24
        end

        function obj = Optimizer()
        % FALCON.PAREST.OPTIMIZATION.OPTIMIZER base class for parameter
        %   estimation optimization algorithms
        %  
        %  	<Description>
        %  	abstract base class for parameter estimation optimizers
        %  
        %  	<ChangeLog>
        %  	2017-12-19 - Ch. Goettlicher: commenting (-->EMT completion)
        end

    end

end