classdef HasTrimProblem < falcon.core.Handle
    % FALCON.TRIM.CORE.HASTRIMPROBLEM superclass for classes with
    %  TrimProblem
    %  
    %  	<Description>
    %  	this is to be used as superclass for classes, that are directly
    %  	associated with a TrimProblem and have to reference it.
    %  
    %  	<ChangeLog>
    %  	2017-12-20 - Ch. Goettlicher: final commenting

    % -------------------------------------------------------------------------
    %                                FALCON.m
    % Copyright (c) 2014-2019 Institute of Flight System Dynamics, TUM, Munich
    % Matthias Bittner, Matthias Rieck, Maximilian Richter,
    % Benedikt Grueter, Johannes Diepolder, Florian Schwaiger,
    % Patrick Piprek, and Florian Holzapfel
    % Downloading, using, copying, or modifying FALCON.m code constitutes an
    % agreement to ALL of the terms of the FALCON.m EULA.
    % -------------------------------------------------------------------------

    properties
    end

    methods
        function setTrimProblem(obj, TrimProblem)
        % SETTRIMPROBLEM set the trim problem
        %  
        %  	<Syntax>
        %  	setTrimProblem( obj, TrimProblem )
        %  
        %  	<Description>
        %  	set reference to a trim problem handle
        %  
        %  	<Inputs>
        %  	>obj: the HasTrimProblem object
        %  	>TrimProblem: the trim problem
        %  
        %  	<ChangeLog>
        %  	2016-12-15 - Ch. Goettlicher: initial version
        %  	2017-02-07 - Ch. Goettlicher: commenting
        %  	2017-12-20 - Ch. Goettlicher: final commenting
        end

        function obj = HasTrimProblem()
        % FALCON.TRIM.CORE.HASTRIMPROBLEM superclass for classes with
        %  TrimProblem
        %  
        %  	<Description>
        %  	this is to be used as superclass for classes, that are directly
        %  	associated with a TrimProblem and have to reference it.
        %  
        %  	<ChangeLog>
        %  	2017-12-20 - Ch. Goettlicher: final commenting
        end

    end

end